com.io7m.jstructural.annotated

## Interface SAFootnoteContentVisitor<A>

- Type Parameters:
    `A` - The type of values returned by the visitor

      public interface SAFootnoteContentVisitor<A>

  Footnote content visitor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `visitFootnote(SAFootnote footnote)` Visit a footnote element.
    `A` | `visitImage(SAImage image)` Visit an image element.
    `A` | `visitLink(SALink link)` Visit a link element.
    `A` | `visitLinkExternal(SALinkExternal link)` Visit a link element.
    `A` | `visitListOrdered(SAListOrdered list)` Visit an ordered list element.
    `A` | `visitListUnordered(SAListUnordered list)` Visit an unordered list element.
    `A` | `visitTerm(SATerm term)` Visit a term element.
    `A` | `visitText(SAText text)` Visit a text element.
    `A` | `visitVerbatim(SAVerbatim text)` Visit a verbatim element.

- - ### Method Detail

    - #### visitFootnote

          A visitFootnote(@Nonnull
                        SAFootnote footnote)
                          throws com.io7m.jaux.Constraints.ConstraintError,
                                 Exception

      Visit a footnote element.
      Parameters:
        `footnote` - The footnote element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitImage

          A visitImage(@Nonnull
                     SAImage image)
                       throws com.io7m.jaux.Constraints.ConstraintError,
                              Exception

      Visit an image element.
      Parameters:
        `image` - The image element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitLink

          A visitLink(@Nonnull
                    SALink link)
                      throws com.io7m.jaux.Constraints.ConstraintError,
                             Exception

      Visit a link element.
      Parameters:
        `link` - The link element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitLinkExternal

          A visitLinkExternal(@Nonnull
                            SALinkExternal link)
                              throws com.io7m.jaux.Constraints.ConstraintError,
                                     Exception

      Visit a link element.
      Parameters:
        `link` - The link element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitListOrdered

          A visitListOrdered(@Nonnull
                           SAListOrdered list)
                             throws com.io7m.jaux.Constraints.ConstraintError,
                                    Exception

      Visit an ordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitListUnordered

          A visitListUnordered(@Nonnull
                             SAListUnordered list)
                               throws com.io7m.jaux.Constraints.ConstraintError,
                                      Exception

      Visit an unordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitTerm

          A visitTerm(@Nonnull
                    SATerm term)
                      throws com.io7m.jaux.Constraints.ConstraintError,
                             Exception

      Visit a term element.
      Parameters:
        `term` - The term element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitText

          A visitText(@Nonnull
                    SAText text)
                      throws com.io7m.jaux.Constraints.ConstraintError,
                             Exception

      Visit a text element.
      Parameters:
        `text` - The text element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitVerbatim

          A visitVerbatim(@Nonnull
                        SAVerbatim text)
                          throws com.io7m.jaux.Constraints.ConstraintError,
                                 Exception

      Visit a verbatim element.
      Parameters:
        `text` - The verbatim element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

Copyright © 2014 <code@io7m.com> http://io7m.com